# Generated by dependency for development: {{ name }}

${{ name }}_setup = <<COPY
# Copy our binary
sudo mv /tmp/dep-{{ name }} {{ dep_binary_path }}

# Copy the upstart file
sudo mv /tmp/dep-{{ name }}.upstart.conf /etc/init/{{ name }}.conf

# Start it!
sudo start {{ name }}
COPY

# Sync our own dep folder in there
config.vm.synced_folder "{{ path.working }}", "{{ path.guest_working }}"

# Copy files into a temp directory. The script will move them.
config.vm.provision "file",
  source: "{{ path.cache }}/dev-dep-output",
  destination: "/tmp/dep-{{ name }}"

config.vm.provision "file",
  source: "{{ path.compiled }}/dev-dep/upstart.conf",
  destination: "/tmp/dep-{{ name }}.upstart.conf"

config.vm.provision "shell",
  inline: ${{ name }}_setup

# Foundation configuration for dev dep
{% for dir in foundation_dirs.dev_dep %}
dir = "/otto/foundation-{{ name }}-{{ forloop.Counter }}"
config.vm.synced_folder "{{ dir }}", dir
config.vm.provision "shell", inline: "cd #{dir} && bash #{dir}/main.sh"
{% endfor %}
